Howdy, Stranger!

It looks like you're new here. If you want to get involved, click one of these buttons!

Equal Division Between 2 Points

I frequently need to divide up a distance between 2 points along a single direction. I know that I can draw a line and use the Divide command. However, being lazy I would like to do this without drawing a line.
Is this possible?

Comments

  • Dear Walter
    Do you know about the 'Snap to the middle of two points' entity snap? See https://help.bricsys.com/hc/en-us/articles/360006739434-Entity-Snaps#to-set-the-entity-snaps.

  • Thanks for your reply Louis. However, in my case the number of divisions could be any number other than 2 EG 3,45 .....; etc.

  • You can use the R option of the Scale command to divide a distance.

    I use the Scale command a lot, and nearly always with the R option, so I use a custom version of it that automatically puts it in R mode:

    (defun c:ScaleR ()
    (princ "Select objects to be Scaled: ") (setq ss1 (ssget))
    (setq p1 (getpoint "Pick base/reference point"))
    (command "Scale" ss1 "" p1 "R" p1)  
    (while (> (getvar "cmdactive") 0) (command pause))  )
Sign In or Register to comment.
Origami
Origami is the Japanese word for paper folding. ORI means to fold and KAMI means paper and involves the creation of paper forms usually entirely by folding.

Powered by VanillaForums, Designed by Steam